
package encapsuladoras;

public class Apartamento extends Inmueble implements java.io.Serializable {
    
    private byte numeroHabitaciones;
    
    public Apartamento() {
    }
    
    public Apartamento(String referencia, int superficie, int precio, String comentario, byte numeroHabitaciones) {
        super(referencia, superficie, precio, comentario);
        this.numeroHabitaciones = numeroHabitaciones;
    }

    public byte getNumeroHabitaciones() {
        return numeroHabitaciones;
    }

    public void setNumeroHabitaciones(byte numeroHabitaciones) {
        this.numeroHabitaciones = numeroHabitaciones;
    }
    
    public boolean equals(Object objeto) {
        boolean iguales = false;
        
        if (objeto instanceof Apartamento)
        {
           Apartamento apartamento = (Apartamento)objeto;  
           
           if ((super.equals(objeto)) && (this.numeroHabitaciones == apartamento.numeroHabitaciones))
               iguales = true;
        }        
        return iguales;
    }    
}
